R12 Price List Upgraded From Old Version Generates Attribute Global_flag Error (Doc ID 809138.1)

Last updated on AUGUST 16, 2017

Applies to:

Oracle Advanced Pricing - Version 12.0.6 to 12.1.3 [Release 12.0 to 12.1]
Information in this document applies to any platform.
*** Checked for relevance on May 17th, 2012 ***
Checked for relevance on 17-APR-2015

Symptoms


On 12.0.6 in Production:
When attempting to update any of the fields of the price list screen,
the following error occurs:

ERROR
Attribute global_flag is invalid. Please re-enter.

Thiis is relevant when you have set the profile option QP: Security Control to Yes. 
This errror occurs when the combination of values supplied in Global Usage and Operating Unit fields are not valid.
When entity (Price List in this case) has the value for Global Usage set to Yes it will be visible from Responsibilities associated to all Operating Units,

It will not allow you to assign an operating unit to this entity.
When the entity has Global Usage flag set to No, then it must have a value for Operating Unit assigned to it.

-- Steps To Reproduce:
The issue can be reproduced at will with the following steps:
- Log on to OM Superuser
- Navigate Price List -> Price List Setup
- Query the price list setup (ALL DEALERS)
- Edit any of the fields.
- Save
The error pops up.

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms